Rated 5 out of 5 stars

can't be installed sadly not compatible

Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:2.0b13pre) Gecko/20110321 Firefox/4.0b13pre

This review is for a previous version of the add-on (1.1.3).  This user has other reviews of this add-on.

It is because you are using 64bit version of Firefox, which is not officially supported by Mozilla and that is why we do not provide 64bit version of the plugin. However, you can install 32bit FF on both 32bit and 64bit Windows.